# Class NotFoundException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents an exception that is thrown when a requested resource or item cannot be found.

    public class NotFoundException : Exception, ISerializable

Inheritance
  object
  Exception
  NotFoundException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### NotFoundException()

Initializes a new instance of the NotFoundException class.

    public NotFoundException()

### NotFoundException(string)

Initializes a new instance of the NotFoundException class with a specified error message.

    public NotFoundException(string message)

#### Parameters

`message` string

  The message that describes the error.

### NotFoundException(ErrorMessage)

Initializes a new instance of the NotFoundException class with a specified error message.

    public NotFoundException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The message that describes the error.